From cafcd41e8a799b3f6497ac8795d903f9a852804e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Sebastian=20Dr=C3=B6ge?= <sebastian@centricular.com>
Date: Fri, 14 Aug 2015 13:41:59 +0200
Subject: [PATCH 5/6] lib: Only rename locale_charset() for libiconv, not
 libcharset

If we rename it for both, both will still conflict with each other.
locale_charset() is public API of libcharset but not libiconv, so rename it
for libiconv.
---
 lib/Makefile.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/Makefile.in b/lib/Makefile.in
index a538cce..5657510 100644
--- a/lib/Makefile.in
+++ b/lib/Makefile.in
@@ -13,7 +13,7 @@ libdir = @libdir@
 
 # Programs used by "make":
 CC = @CC@
-CFLAGS = @CFLAGS@ @CFLAG_VISIBILITY@
+CFLAGS = @CFLAGS@ @CFLAG_VISIBILITY@ -Dlocale_charset=iconv_locale_charset
 CPPFLAGS = @CPPFLAGS@
 LDFLAGS = @LDFLAGS@ $(LDFLAGS_@WOE32DLL@)
 LDFLAGS_yes = -Wl,--export-all-symbols
-- 
2.7.4

